gnutls_early_prf_hash_get(3)

NAME
gnutls_early_prf_hash_get - API function

SYNOPSIS
#include <gnutls/gnutls.h>

gnutls_digest_algorithm_t gnutls_early_prf_hash_get(const gnutls_session_t session);

ARGUMENTS

const gnutls_session_t session
    is a gnutls_session_t type.

DESCRIPTION
Get the hash algorithm used as a PRF to derive keys for encrypting early data in TLS 1.3.

RETURNS
the hash algorithm used for early data, a gnutls_digest_algorithm_t value.

SINCE
3.7.2

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2023 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/